Retail Express API 2.1

outlets

Searches Outlets by parameters

Searches Outlets by parameters

get
https://api.retailexpress.com.au/v2/outlets

Query Parameters

enabledboolean | null

Enabled flag.

idinteger | null(int32)

Outlet Id. Other properties are skipped, if used

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Outlets data

Outlet.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Outlet model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/outlets
 
application/json

Gets specific Outlet by unique id

Gets specific Outlet by unique id

get
https://api.retailexpress.com.au/v2/outlets/{id}

Path Parameters

idinteger(int32)required

Outlet id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Outlet

Outlet

Outlet model

* Additional properties are NOT allowed.
idinteger | null(int32)

Outlet id

namestring | null

Outlet name

>= 0 characters<= 255 characters

external_referencestring | null

External outlet code

>= 0 characters<= 30 characters

enabledboolean

Enabled

company_namestring | null

Company

>= 0 characters<= 100 characters

company_registration_numberstring | null

Company registration number

>= 0 characters<= 50 characters

company_registration_labelstring | null

Company registration label

>= 0 characters<= 15 characters

billing_typeinteger | null(int32)

Billing type

fob_currencyobject

Outlet currency model

* Additional properties are NOT allowed.
Show Child Parameters
store_typeobject

Outlet store type model

* Additional properties are NOT allowed.
Show Child Parameters
addressobject

Outlet address model

* Additional properties are NOT allowed.
Show Child Parameters
phonestring | null

Phone

>= 0 characters<= 50 characters

faxstring | null

Fax

>= 0 characters<= 50 characters

emailstring | null

Email

>= 0 characters<= 50 characters

bank_detailsobject

Outlet bank details model

* Additional properties are NOT allowed.
Show Child Parameters
default_source_outletobject

Outlet store type model

* Additional properties are NOT allowed.
Show Child Parameters
default_fulfil_outletobject

Outlet store type model

* Additional properties are NOT allowed.
Show Child Parameters
minimum_replenishment_quantityinteger | null(int32)

Minimum replenishment quantity

>= 0<= 2147483647

logoobject

Outlet logo model

* Additional properties are NOT allowed.
Show Child Parameters
invoice_email_templateobject

Outlet email from template model

* Additional properties are NOT allowed.
Show Child Parameters
invoice_receipt_commentsstring | null

Invoice receipt comments

Match pattern:^(?!.*<[^>]+>).*

>= 0 characters<= 8000 characters

display_address_on_invoiceboolean

Display address on invoice

purchase_order_commentsstring | null

Purchase order comments

Match pattern:^(?!.*<[^>]+>).*

>= 0 characters<= 8000 characters

modified_onstring(date-time)

Modified on

get/outlets/{id}
 
application/json

productattributes

Gets all Product Attribute Values, existing in the system for provided Product Attribute

Gets all Product Attribute Values, existing in the system for provided Product Attribute

get
https://api.retailexpress.com.au/v2/productattributes/{id}/values

Query Parameters

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Product Attribute id

Example:2

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Attributes data

AttributeValue.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product attribute value model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productattributes/{id}/values
 
application/json